/*.pizza-row__item-price__constructor,   #popup_half_constructor .half_add_basket {
  background-color: #22A322;
  color: #FFF;
  font-size: 16px;
  font-family: 'Raleway'; font-weight: 300;
  border-radius: 7px;
  padding: 11px 27px;
  cursor: pointer;
  outline: 0;
  border: none;
  user-select: none;
}
.pizza-row__item-price__constructor:hover,   #popup_half_constructor .half_add_basket:hover {
  background-color: #33A033;
}*/

#popup_half_constructor{
  text-align: left;
  padding: 0px;
}

#popup_half_constructor .popup__form {
  max-width: 900px;
  width: 100%;
  background: #FBFBFB;
  padding: 10px 10px;
}

/*#popup_half_constructor *, ::before, ::after {
  box-sizing: border-box;
}*/

#popup_half_constructor .row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  align-items: unset;
}

 #popup_half_constructor .row_col-lg {
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

#popup_half_constructor .col-lg-1, #popup_half_constructor .col-lg-2 {
  position: relative;
  min-height: 1px;
}

#popup_half_constructor .col-6, #popup_half_constructor .col-sm-4, #popup_half_constructor .col-lg-3, #popup_half_constructor .col-xl-3
#popup_half_constructor .col-8, #popup_half_constructor .col-4 {
  position: relative;
  width: 100%;
  min-height: 1px;
}

#popup_half_constructor .half-side {
  /*background: #f3f3f3;*/
  border-radius: 16px;
  height: 100%;
  position: relative;
  overflow: hidden;
}

#popup_half_constructor .half-side .half_empty {
  font-size: 16px;
  text-align: center;
  margin-bottom: 10px;
}

#popup_half_constructor .half-side .summary {
  max-height: 500px;
  overflow-x: hidden;
  overflow-y: scroll;
  /*direction: rtl;*/
}

#popup_half_constructor .half-side .summary {
  height: 100%;
  overflow: auto;
  padding: 15px;
}

#popup_half_constructor .half-side .summary .slot-list {
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  height: 100%;
  position: relative;
  width: 80%;
  margin: 0 auto;
}

#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half,
#popup_half_constructor .half-side .summary .slot_img_info {
  margin: 0 0 0 0;
  /*position: relative;*/
  cursor: pointer;
  /*position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;*/
  position: relative;
  overflow: hidden;
  width: 50%; /* Половина контейнера */
  display: inline-block; /* Размещаем блоки в строку */
  vertical-align: top; /* Выравниваем по верху */
}

#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half.active-slot {
  cursor: default;
}

#popup_half_constructor .half-side .summary .half_img {
  width: 200%; 
}

#popup_half_constructor .half-side .summary #slot_1 .half_img, 
#popup_half_constructor .half-side .summary .slot_img_info_1 .half_img {
  margin-left: 0;
}

#popup_half_constructor .half-side .summary #slot_2 .half_img, 
#popup_half_constructor .half-side .summary .slot_img_info_2 .half_img {
  margin-left: -100%;
}

#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half.active-slot {
  background: white;
  border: 0;
  box-shadow: 0px 12px 25px 0px rgba(0, 0, 0, 0.08);
}

/*#popup_half_constructor .half-side .summary .slot-list label.active-slot span.arrow {
  width: 10px;
  height: 44px;
  background: url('../../../../upload/76107756-89ba-439f-89dc-cc7abdd3b29c/file_manager/theme/slot-active.svg');
  display: block;
  position: absolute;
  right: -10px;
  top: 50%;
  transform: translateY(-50%);
}*/

#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half input {
  display: none;
}

#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half .info {
  flex: 0 0 80%;
  padding: 0 10px 0 0;
}

/*#popup_half_constructor .half-side .summary .slot-list .choice_group_for_half .half_img {
  width: 100%;
  z-index: 100;
}*/

/*.slot-img {
  flex: 0 0 20%;
  border-radius: 8px;
  overflow: hidden;
}

.w-100 {
  width: 100% !important;
}*/

#popup_half_constructor .bottom {
  border-top: 1px solid rgba(0, 0, 0, 0.06);
  padding: 15px 15px 0 15px;
  position: static;
  left: 0;
  right: 0;
  bottom: 0;
  text-align: center;
}

#popup_half_constructor .bottom_slot_info {
  color: #494949;
  font-size: 16px;
  margin-bottom: 10px;
  font-family: 'Roboto Slab';
  line-height: 20px;
}

#popup_half_constructor .slot_info {
  background-color: #FFFFFF;
  border-radius: 8px;
  padding: 8px 8px 8px 8px;
  display: flex;
  margin: 10px 0;
  border-style: none;
  border-color: rgb(73, 150, 93);
  border-width: 2px;
  cursor: pointer;
}

#popup_half_constructor .slot_info.slot_info_active {
  border-style: solid;
  cursor: default;
}

#popup_half_constructor .slot_img_info_block {
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  height: 100%;
  flex: 1 0 0;
  position: relative;
}

#popup_half_constructor .cart-mods {
    margin: 0px;
    /*display: flex;
    -moz-box-pack: start;
    justify-content: flex-start;
    flex-wrap: wrap;
    overflow-y: hidden;*/
    /*margin-right: -8px;
    margin-bottom: -8px;*/
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px 0px;
    justify-content: space-between;
    overflow-y: auto;
    height: 200px;
}

#popup_half_constructor .cart-slider {
    background-color: unset;
    margin-bottom: 0px;
    padding: 5px 9px 0px 10px !important;
    margin: 0 -10px;
    width: calc(100% + 25px);
    background-color: #f0f1f1;
}

#popup_half_constructor button {
  width: 100%;
}

#popup_half_constructor .details_info {
  margin-left: 10px;
  flex: 3 0 0;
}

#popup_half_constructor .details_info .title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

#popup_half_constructor .details_info .product_title {
  font-family: "Lato", sans-serif;
  font-size: 14px;
  font-weight: 700;
}

#popup_half_constructor .half-side .details_info .description {
  margin: 10px 0;
  font-size: 12px;
  text-align: left;
}

#popup_half_constructor .half-constructor-products {
  max-height: 600px;
  overflow-y: scroll;
  overflow-x: hidden;
  /*margin: 10px 10px 10px 0;
  padding-left: 10px;*/
}

/*#popup_half_constructor .options-list {
  margin: 0 -7.5px;
  padding: 20px 20px 20px 0;
}*/

#popup_half_constructor .options-list .option-container {
  padding: 0 7.5px;
  display: flex;
  margin-bottom: 15px;
}

#popup_half_constructor .cart-mods {
  grid-template-columns: repeat(3, 1fr);
}

#popup_half_constructor .info-label div {
  left: 10px;
  top: 120px;
}

@media (min-width: 320px){
  .col-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
  }
}
@media (min-width: 1000px){
  .col-sm-4 {
    -ms-flex: 0 0 33.333333%;
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
  }
}

/*@media (min-width: 992px){
  .col-lg-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
  }
}

@media (min-width: 1200px){
  .col-xl-3 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
  }
}*/

#popup_half_constructor .options-list {
  display: none;
}

#popup_half_constructor .options-list.active {
  display: flex;
}

#popup_half_constructor .options-list .option-container .component-item {
  display: flex;
  height: 100%;
  width: 100%;
}

#popup_half_constructor .options-list .option-container label {
  border: 1px solid rgba(0, 0, 0, 0.08);
  margin: 0 0 15px 0;
  border-radius: 10px;
  overflow: hidden;
  -moz-transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  width: 100%;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

#popup_half_constructor .options-list .option-container label input {
  display: none;
  opacity: 0;
  visibility: hidden;
}

#popup_half_constructor .options-list .option-container label .image {
  border-radius: 5px;
  overflow: hidden;
}

#popup_combo_constructor .img-fluid {
  max-width: 100%;
  height: auto;
}

#popup_half_constructor .align-items-center {
  -ms-flex-align: center !important;
  align-items: center !important;
  justify-content: space-around;
}

#popup_half_constructor .options-list .option-container label .info {
  -moz-transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
}

#popup_half_constructor .no-gutters {
  margin-right: 0;
  margin-left: 0;
}

#popup_half_constructor .no-gutters > .col, .no-gutters > [class*="col-"] {
  padding-right: 0;
  padding-left: 0;
}

.col-8 {
  -ms-flex: 0 0 66.666667%;
  flex: 0 0 66.666667%;
  max-width: 66.666667%;
}

#popup_half_constructor .options-list .option-container label .info .name {
  font-family: "Lato", sans-serif;
  font-size: 14px;
  font-weight: 700;
  text-align: center;
}

#popup_half_constructor .cart-gr-slider__price-wrapper {
  position: relative;
  align-self: flex-end;
  align-self: stretch;
  border-radius: 41px 41px 0 0;
  width: 57px;
  height: 28px;
}

#popup_half_constructor .options-list .product-item__slider-btn {
  font-size: 14px;
  white-space: nowrap;
  color: #000000;
  cursor: pointer;
  margin-bottom: 1px;
}

#popup_half_constructor .options-list .product-item__details-order-block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
  justify-content: space-around;
  width: 112px;
  height: unset;
  height: 20px;
}

.text-right {
  text-align: right !important;
}
.col-4 {
  -ms-flex: 0 0 33.333333%;
  flex: 0 0 33.333333%;
  max-width: 33.333333%;
}

#popup_half_constructor .options-list .option-container label .btn-select-product {
  width: 20px;
  height: 20px;
}
#popup_half_constructor .btn:not(:disabled):not(.disabled) {
  cursor: pointer;
}
#popup_half_constructor .btn-circle {
  text-align: center;
  padding: 0;
  border-radius: 100%;
}

#popup_half_constructor .btn-primary {
  background: #22A322;
  border-color: #22A322;
  color: white;
  outline: 0;
  border: none;
  user-select: none;
  display: inline-block;
  background-image: url("../images/icons/icon-plus.svg");
  background-repeat: no-repeat;
  background-position: center;
}

#alertBox{
  position:fixed;
  top:100px;
  left:100px;
  border:solid 1px black;
  background-color: #f3f3f3;
  padding: 30px 20px;
  visibility: hidden;
  z-index: 1000;
}
#alertClose {
  position: absolute;
  right:0;
  top: 0;
  background-color: black;
  border: solid 1px white;
  color: white;
  width: 2em;
  text-align: center; 
  cursor: pointer;
}